lexi(1)

NAME
lexi - lexical analyser tool

SYNOPSIS
lexi [ options ] input-file [ output-file ]

DESCRIPTION
lexi translates a description of a lexical analyser, input-file, into code implementing that analyser. This is output into the output-file argument, if present, or the standard output otherwise.

OPTIONS

-k  Causes lexi to generate code describing any keywords specified in the input.

-lstring
    Causes lexi to use string as a prefix for its generated lexical tokens. The default is lex_.

-v  Causes lexi print its version number.

SEE ALSO
tcc(1).